Contents

# Index design

The Index Design dialog allows you to define and edit the indexes for the current table.

이 명령을 사용하려면...

In a database file window, click the Tables icon. Choose Insert - Table Design or Edit - Edit.

테이블 디자인

## Index list

Displays a list of available indexes. Select an index from the list to edit. The details of the selected index are displayed in the dialog.

### New Index

Creates a new index.

### Delete Current Index

Deletes the current index.

### Rename Current Index

Renames the current index.

### Save Current Index

Saves the current index in the data source.

### Reset Current Index

Resets the current index to the setting that it had when the dialog was started.

## Index details

As soon as you change a detail of the current index and then select another index, the change is immediately passed on to the data source. You can only leave the dialog, or select another index, if the change has been successfully acknowledged by the data source. However, you can undo the change by clicking the Reset Current Index icon.

### Unique

Specifies whether the current index allows only unique values. Checking the Unique option prevents duplicate data from being entered in the field and ensures data integrity.

### Fields

The Fields area displays a list of fields in the current table. You can also select multiple fields. In order to remove a field from the selection, select the empty entry at the start of the list.

### Index field

Displays a list of the fields in the current table. You can select more than one field.

### Sort order

Determines the sort order of the indexes.

## Close

Closes the dialog.